## db_enum

### Use

You display a list of all the database instances registered on the database computer.

The display is in tabular form. The individual columns are separated by tabs.

### Prerequisites

You do not need to log on to the Database Manager to execute this DBM command.

Nor do you require a server authorization.

### Syntax

db_enum [-s]

-s | The system also displays the service database instances.

### Reply

OK

<database_name><TAB><dependent_path><TAB><database_version><TAB><kernel_version><TAB><operational_state>

<database_name><TAB><dependent_path><TAB><database_version><TAB><kernel_version><TAB><operational_state>

...

Values for the Reply Fields

Field | Description
<database_name> | Name of database instance
<dependent_path> | Directory that contains the database version-dependent server software
<database_version> | Version of the database software
<kernel_version> | Kernel variant
<operational_state> | Operational state of the database instance

### Example

Calling the Database Manager CLI, displaying the list of all database instances registered on computer GENUA:

`dbmcli –n GENUA db_enum`

OK

DEMODB C:\Program Files\sdb\DEMODB 7.6.00.10 fast running

DEMODB C:\Program Files\sdb\DEMODB 7.6.00.10 slow offline